Package org.kapott.hbci.GV_Result

## Class AbstractGVRLastSEPA

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.AbstractGVRLastSEPA

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

Direct Known Subclasses:
  `GVRLastB2BSEPA`, `GVRLastCOR1SEPA`, `GVRLastSEPA`

    public abstract class AbstractGVRLastSEPA
    extends HBCIJobResultImpl

Rückgabedaten für das Einreichen einer terminierten SEPA-Lastschrift. Beim Einreichen einer terminierten Lastschrift gibt die Bank u.U. eine Auftrags-Identifikationsnummer zurück, die benutzt werden kann, um den Auftrag später zu ändern oder zu löschen.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`AbstractGVRLastSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getOrderId()` Gibt die Auftrags-ID zurück, unter der der Auftrag bei der Bank geführt wird.
`void` `setOrderId​(java.lang.String orderid)` Speichert die Order-ID.
`java.lang.String` `toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractGVRLastSEPA

    public AbstractGVRLastSEPA()

### Method Detail

#### setOrderId

    public void setOrderId​(java.lang.String orderid)

Speichert die Order-ID.

Parameters:
  `orderid` -

#### getOrderId

    public java.lang.String getOrderId()

Gibt die Auftrags-ID zurück, unter der der Auftrag bei der Bank geführt wird.

Returns:
  die Auftrags-ID oder `null`, wenn die Bank keine Auftrags-IDs unterstützt

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`
See Also:
  `HBCIJobResultImpl.toString()`